<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpChainButton: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpButton.html" title="GimpButton">
<link rel="next" href="GimpColorArea.html" title="GimpColorArea">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpChainButton.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpChainButton.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpChainButton.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpChainButton.properties" class="shortcut">Properties</a></span><span id="nav_signals">  <span class="dim">|</span> 
                  <a href="#GimpChainButton.signals" class="shortcut">Signals</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpButton.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpColorArea.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpChainButton"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpChainButton.top_of_page"></a>GimpChainButton</span></h2>
<p>GimpChainButton — Widget to visually connect two entry widgets.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-chain-button.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpChainButton.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpChainButton.html#gimp-chain-button-new" title="gimp_chain_button_new ()">gimp_chain_button_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpChainButton.html#gimp-chain-button-set-active" title="gimp_chain_button_set_active ()">gimp_chain_button_set_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpChainButton.html#gimp-chain-button-get-active" title="gimp_chain_button_get_active ()">gimp_chain_button_get_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpChainButton.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody><tr>
<td class="property_type"><a class="link" href="GimpChainButton.html#GimpChainPosition" title="enum GimpChainPosition"><span class="type">GimpChainPosition</span></a></td>
<td class="property_name"><a class="link" href="GimpChainButton.html#GimpChainButton--position" title="The “position” property">position</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpChainButton.signals"></a><h2>Signals</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="signals_return">
<col width="300px" class="signals_name">
<col width="200px" class="signals_flags">
</colgroup>
<tbody><tr>
<td class="signal_type"><span class="returnvalue">void</span></td>
<td class="signal_name"><a class="link" href="GimpChainButton.html#GimpChainButton-toggled" title="The “toggled” signal">toggled</a></td>
<td class="signal_flags"><a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpChainButton.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpChainButton.html#GimpChainButton-struct" title="GimpChainButton">GimpChainButton</a></td>
</tr>
<tr>
<td class="datatype_keyword">enum</td>
<td class="function_name"><a class="link" href="GimpChainButton.html#GimpChainPosition" title="enum GimpChainPosition">GimpChainPosition</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpChainButton.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkTable.html#GtkTable-struct">GtkTable</a>
                        <span class="lineart">╰──</span> GimpChainButton
</pre>
</div>
<div class="refsect1">
<a name="GimpChainButton.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpChainButton implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpChainButton.description"></a><h2>Description</h2>
<p>This widget provides a button showing either a linked or a broken
chain that can be used to link two entries, spinbuttons, colors or
other GUI elements and show that they may be locked. Use it for
example to connect X and Y ratios to provide the possibility of a
constrained aspect ratio.</p>
<p>The <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> only gives visual feedback, it does not really
connect widgets. You have to take care of locking the values
yourself by checking the state of the <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> whenever a
value changes in one of the connected widgets and adjusting the
other value if necessary.</p>
</div>
<div class="refsect1">
<a name="GimpChainButton.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-chain-button-new"></a><h3>gimp_chain_button_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_chain_button_new (<em class="parameter"><code><a class="link" href="GimpChainButton.html#GimpChainPosition" title="enum GimpChainPosition"><span class="type">GimpChainPosition</span></a> position</code></em>);</pre>
<p>Creates a new <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> widget.</p>
<p>This returns a button showing either a broken or a linked chain and
small clamps attached to both sides that visually group the two widgets
you want to connect. This widget looks best when attached
to a table taking up two columns (or rows respectively) next
to the widgets that it is supposed to connect. It may work
for more than two widgets, but the look is optimized for two.</p>
<div class="refsect3">
<a name="gimp-chain-button-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>position</p></td>
<td class="parameter_description"><p>The position you are going to use for the button
with respect to the widgets you want to chain.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-chain-button-new.returns"></a><h4>Returns</h4>
<p> Pointer to the new <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a>, which is inactive
by default. Use <a class="link" href="GimpChainButton.html#gimp-chain-button-set-active" title="gimp_chain_button_set_active ()"><code class="function">gimp_chain_button_set_active()</code></a> to
change its state.</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-chain-button-set-active"></a><h3>gimp_chain_button_set_active ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_chain_button_set_active (<em class="parameter"><code><a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> *button</code></em>,
                              <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gboolean"><span class="type">gboolean</span></a> active</code></em>);</pre>
<p>Sets the state of the <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> to be either locked (<a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a>) or
unlocked (<a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a>) and changes the showed pixmap to reflect the new state.</p>
<div class="refsect3">
<a name="gimp-chain-button-set-active.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>Pointer to a <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>active</p></td>
<td class="parameter_description"><p>The new state.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-chain-button-get-active"></a><h3>gimp_chain_button_get_active ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gimp_chain_button_get_active (<em class="parameter"><code><a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> *button</code></em>);</pre>
<p>Checks the state of the <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a>.</p>
<div class="refsect3">
<a name="gimp-chain-button-get-active.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>button</p></td>
<td class="parameter_description"><p>Pointer to a <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-chain-button-get-active.returns"></a><h4>Returns</h4>
<p> <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> if the <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> is active (locked).</p>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpChainButton.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpChainButton-struct"></a><h3>GimpChainButton</h3>
<pre class="programlisting">typedef struct _GimpChainButton GimpChainButton;</pre>
</div>
<hr>
<div class="refsect2">
<a name="GimpChainPosition"></a><h3>enum GimpChainPosition</h3>
<p>Possible chain positions for <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a>.</p>
<div class="refsect3">
<a name="GimpChainPosition.members"></a><h4>Members</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="300px" class="enum_members_name">
<col class="enum_members_description">
<col width="200px" class="enum_members_annotations">
</colgroup>
<tbody>
<tr>
<td class="enum_member_name"><p><a name="GIMP-CHAIN-TOP:CAPS"></a>GIMP_CHAIN_TOP</p></td>
<td class="enum_member_description">
<p>the chain is on top</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GIMP-CHAIN-LEFT:CAPS"></a>GIMP_CHAIN_LEFT</p></td>
<td class="enum_member_description">
<p>the chain is to the left</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GIMP-CHAIN-BOTTOM:CAPS"></a>GIMP_CHAIN_BOTTOM</p></td>
<td class="enum_member_description">
<p>the chain is on bottom</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
<tr>
<td class="enum_member_name"><p><a name="GIMP-CHAIN-RIGHT:CAPS"></a>GIMP_CHAIN_RIGHT</p></td>
<td class="enum_member_description">
<p>the chain is to the right</p>
</td>
<td class="enum_member_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
</div>
<div class="refsect1">
<a name="GimpChainButton.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpChainButton--position"></a><h3>The <code class="literal">“position”</code> property</h3>
<pre class="programlisting">  “position”                 <a class="link" href="GimpChainButton.html#GimpChainPosition" title="enum GimpChainPosition"><span class="type">GimpChainPosition</span></a></pre>
<p>The position in which the chain button will be used.</p>
<p>Flags: Read / Write / Construct Only</p>
<p>Default value: GIMP_CHAIN_TOP</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpChainButton.signal-details"></a><h2>Signal Details</h2>
<div class="refsect2">
<a name="GimpChainButton-toggled"></a><h3>The <code class="literal">“toggled”</code> signal</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
user_function (<a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a> *gimpchainbutton,
               <a href="../glib/glib-Basic-Types.html#gpointer"><span class="type">gpointer</span></a>         user_data)</pre>
<p>Flags: <a href="../gobject/gobject-Signals.html#G-SIGNAL-RUN-FIRST:CAPS">Run First</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpChainButton.see-also"></a><h2>See Also</h2>
<p>You may want to use the convenience function
           <a class="link" href="libgimpwidgets-GimpWidgets.html#gimp-coordinates-new" title="gimp_coordinates_new ()"><code class="function">gimp_coordinates_new()</code></a> to set up two GimpSizeEntries
           (see <a class="link" href="GimpSizeEntry.html" title="GimpSizeEntry"><span class="type">GimpSizeEntry</span></a>) linked with a <a class="link" href="GimpChainButton.html" title="GimpChainButton"><span class="type">GimpChainButton</span></a>.</p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>